local L,SN,ST = DXE.L,DXE.SN,DXE.ST

---------------------------------
-- ALIZABAL
---------------------------------

do
	local data = {
		version = 1,
		key = "Alizabal",
		zone = L.zone["Baradin Hold"],
		category = L.zone["Baradin"],
		name = L.npc_baradin["Alizabal"],
		triggers = {
			scan = {
				55869, -- Alizabal
			},
		},
		onactivate = {
			tracing = {
				55869, -- Alizabal
			},
			tracerstart = true,
			combatstop = true,
			defeat = {
				55869, -- Alizabal
			},
		},
		userdata = {
			skewertext = "",
			skewercd = {50,20, loop = true, type = "series"},
		},
		onstart = {
			{
--~ 				"alert",{"skewercd", time = 2},
--~ 				"alert",{"hatecd", time = 2},
--~ 				"alert",{"dancecd", time = 2},
			}
		},
		--windows = {},
		alerts = {
			skewercd = {
				varname = format(L.alert["%s Cooldown"],SN[104936]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[104936]),
				time = "<skewercd>",
				time2 = 15,
				flashtime = 5,
				color1 = "YELLOW",
				icon = ST[104936],
			},
			skewerwarn = {
				varname = format(L.alert["%s Warning"],SN[104936]),
				type = "simple",
				text = "<skewertext>",
				time = 3,
				flashtime = 3,
				color1 = "YELLOW",
				icon = ST[104936],
			},
			hatecd = {
				varname = format(L.alert["%s Cooldown"],SN[105067]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[105067]),
				time = 20,
				time2 = 6,
				flashtime = 5,
				color1 = "GREEN",
				icon = ST[105067],
			},
			hatewarn = {
				varname = format(L.alert["%s Warning"],SN[105067]),
				type = "simple",
				text = format(L.alert["%s Warning"],SN[105067]),
				time = 3,
				flashtime = 3,
				color1 = "GREEN",
				icon = ST[105067],
			},
			dancecd = {
				varname = format(L.alert["%s Cooldown"],SN[104995]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[104995]),
				time = 60,
				time2 = 35,
				flashtime = 5,
				color1 = "ORANGE",
				icon = ST[104995],
			},
			dancedur = {
				varname = format(L.alert["%s Duration"],SN[104995]),
				type = "centerpopup",
				text = format(L.alert["%s Duration"],SN[104995]),
				time = 15,
				flashtime = 5,
				color1 = "ORANGE",
				sound = "ALERT12",
				icon = ST[104995],
			},
		},
		timers = {
		},
		events = {
--~ 			-- Skewer on Tank
--~ 			{
--~ 				type = "combatevent",
--~ 				eventtype = "SPELL_AURA_APPLIED",
--~ 				spellname = 104936,
--~ 				execute = {
--~ 					{
--~ 						"quash","skewercd",
--~ 						"alert","skewercd",
--~ 						"set",{skewertext = format(L.alert["%s on %s"],SN[104936],"#5#")},
--~ 						"alert","skewerwarn",
--~ 					},
--~ 				},
--~ 			},
--~ 			-- Seething Hate
--~ 			{
--~ 				type = "combatevent",
--~ 				eventtype = "SPELL_AURA_APPLIED",
--~ 				spellname = 105067,
--~ 				execute = {
--~ 					{
--~ 						"quash","hatecd",
--~ 						"alert","hatecd",
--~ 						"alert","hatewarn",
--~ 					},
--~ 				},
--~ 			},
--~ 			-- Blade Dance
--~ 			{
--~ 				type = "combatevent",
--~ 				eventtype = "SPELL_AURA_APPLIED",
--~ 				spellname = 105738,
--~ 				execute = {
--~ 					{
--~ 						"quash","dancecd",
--~ 						"alert","dancecd",
--~ 						"alert","dancedur",
--~ 					},
--~ 				},
--~ 			},
		},
	}

	DXE:RegisterEncounter(data)
end


