local L,SN,ST = DXE.L,DXE.SN,DXE.ST

------------------------
-- Hagara
------------------------
do
	local data = {
		version = 1,
		key = "Hagara",
		zone = L.zone["Dragon Soul"],
		category = L.zone["Dragon Soul"],
		name = L.npc_dragonsoul["Hagara the Stormbinder"],
		triggers = {
			scan = {
				55689, --Hagara
			},
		},
		onactivate = {
			tracing = {
				55689, --Hagara
			},
			tracerstart = true,
			combatstop = true,
			defeat = 55689,
		},
		enrage = {
			time10n = 1080,
			time25n = 1080,
			time10h = 1080,
			time25h = 1080,
		},
		userdata = {
		},
		windows = {
			proxwindow = true,
			proxrange = 10,
		},
		announces = {
		},
		raidicons = {
		},
		arrows = {
		},
		timers = {
		},
		onstart = {
		},
		alerts = {
			tempestcd = {
				varname = format(L.alert["%s Cooldown"],SN[105256]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[105256]),
				time = 30,
				flashtime = 5,
				color1 = "BLUE",
				icon = ST[105256],
			},
			tempestwarn = {
				varname = format(L.alert["%s Warning"],SN[105256]),
				type = "centerpopup",
				text = format(L.alert["%s Warning"],SN[105256]),
				time = 4,
				flashtime = 4,
				color1 = "BLUE",
				icon = ST[105256],
			},
		},
		events = {
			-- Frost Tomb Aura/Icon
			-- Frost Orb targetted? icon?
			-- Frozen Tempest
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellname = 105256,
				execute = {
					{
						"quash","tempestcd",
						"alert","tempestwarn",
					},
				},
			},
			-- Water Shield removed?
			-- Electical Conduit
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellname = 1234,
				execute = {
					{

					},
				},
			},
		},
	}

	DXE:RegisterEncounter(data)
end
